Mise à jour WordPress / Mise à jour PHP (Créer un compte)

  • WordPress :5.5
  • Statut : non résolu
15 sujets de 16 à 30 (sur un total de 43)
  • Auteur
    Messages
  • #2365272
    wrey75
    Participant
    Initié WordPress
    28 contributions

    Encore plus simple: 4.4.24 puis 4.5.23 puis 4.6.20…

    Faites une sauvegarde AVANT de commencer et, au pire, vous reviendrez en arrière. Entre la 4.9.16 et la 5.0.11, il peut être prudent de faire une sauvegarde de la base de données. Pas nécessairement entre les versions mineures.

    Pour information: la version majeure est le premier chiffre (donc “4” et “5”), le second chiffre correspond à la version mineure (donc à priori pas trop de changement entre deux chiffres consécutifs), le troisième chiffre, c’est le “patch” ou correctif en bon français. Donc prendre toujours le dernier patch (avec le chiffre le plus élevé).

    Comme je vous le disais auparavant, je suis un “cowboy”, Li-An est plus prudent. C’est donc une question de confiance, de taille de site, de temps disponible. Et combien de temps vous pouvez mettre “off” votre site. Le passage de 4.3 à 5.6 et la méthode à utiliser n’est pas unique. Vous pouvez aussi décider de le faire en plusieurs fois: de la 4.3 à la 4.9 puis passer à la 5.0 plus tard. Ce n’est pas un devoir d’école, il y a plein de réponses possibles.

     

    #2365274
    annacrea
    Participant
    Initié WordPress
    22 contributions

    Bien sûr, je me doute qu’il y a plein de méthodes, je me demandais juste en quoi il était nécessaire de sauvegarder la bdd entre chaque mise à jour,

    Et s’il fallait nécessairement aussi faire cette étape entre chaque version :

    Etape 10 : Mettre à jour les Permaliens et les fichiers .htaccess
    Dans votre panel Options -> Permaliens, mettez à jour la structure des Permaliens et, si nécessaire, ajoutez ces règles dans votre fichier .htaccess. Consultez également Utiliser les Permaliens (en anglais) pour plus de détails concernant les Permaliens et le fichier <a title="Glossary" href="https://codex.wordpress.org/Glossary#.htaccess">.htaccess</a> (en anglais).

    • Cette réponse a été modifiée le il y a 2 semaines par annacrea.
    • Cette réponse a été modifiée le il y a 2 semaines par annacrea.
    #2365275
    Li-An
    Modérateur
    Maître WordPress
    24662 contributions

    @wrey propose un circuit plus cohérent. Pour ne pas réfléchir je propose la première version de chaque décimale mais il est plus sûr d’installer la dernière version de chaque décimale.

    De 4.4 vous pouvez passez direct à 4.5.23 et ensuite la dernière de 4.6xx puis la dernière de 4.7xx etc.

    À chaque version, je vous conseille très vivement de faire une sauvegarde de la base (ça prend quelques secondes normalement). En effet, si vous rencontrez un problème sur une mise à jour, vous pourrez revenir en arrière rapidement.


    @wrey75
     : même si ce n’est pas souvent le cas, il peut y avoir des modifs sur la base de données de WP avec une mise à jour décimale. C’est pour cela qu’il est fortement déconseillé de revenir en arrière en gardant la même base de donnée mais toujours d’utiliser la sauvegarde de la base si on doit le faire. Pour les plugins, on s’en fiche, leur manipulation est complètement indépendante des mises à jour de WP. D’ailleurs, je ne comprends pas trop votre remarque sur les plugins pour le coup. Je rappelle que les mises à jour doivent se faire avec (quasiment) tous les plugins désactivés.

    #2365284
    wrey75
    Participant
    Initié WordPress
    28 contributions

    @li-an: mea culpa – ma remarque sur les plugins ne tient pas. Exact aussi pour les sauvegardes. Je pensais que “revenir en arrière” signifiait “revenir à la dernière sauvegarde” et donc, éventuellement, revenir en arrière de plusieurs versions. J’avoue ne pas avoir été explicite.

    La sauvegarde de la base de données, voire de l’intégralité (base+données), peut être très rapide… ou pas. C’est selon le niveau de la personne, selon l’hébergeur, etc. Et on est pas à l’abri d’une fausse manipulation.

    Mais, pour le coup, personnellement, je ne me casserai pas trop la tête. Aucune modification à la base n’a été apportée à WordPress depuis la 4.4: https://codex.wordpress.org/Database_Description

    Et en plus, j’ai passé un de mes sites d’une version 4 (avec un vieux PHP 5 aussi) à la version 5 (et un PHP 7) sans soucis avec des plugins plus ou moins semblables. C’est pourquoi, je suis assez confiant.

    Très bonne soirée, William.

    #2365287
    Li-An
    Modérateur
    Maître WordPress
    24662 contributions

    @wrey75 : attention, WP ne fonctionne pas du tout comme beaucoup d’autres logiciels au niveau de la numérotation. Il n’y a pas de “mise à jour majeure” qui serait reconnaissable par sa version “nombre entier”. Seule les versions décimales sont à prendre en compte. Par exemple la v. 5 a la même importance que la 4.9 ou la 5.1. C’est une erreur assez courante.

    #2365288
    Li-An
    Modérateur
    Maître WordPress
    24662 contributions

    @annacrea : les permaliens (et htaccess mais en théorie vous n’avez pas à y toucher) sont à définir une fois pour toute. Ils ne sont pas affectés par les mises à jour.

    #2365303
    annacrea
    Participant
    Initié WordPress
    22 contributions

    @Li-An : Pour les permaliens, je posais la question de les mettre à jour à chaque màj wp, car c’est dans le tuto que vous m’avez indiqué : https://codex.wordpress.org/fr:Details_de_mise_a_jour#Etape_10_:_Mettre_.C3.A0_jour_les_Permaliens_et_les_fichiers_.htaccess

    Donc c’est inutile ?

    #2365308
    annacrea
    Participant
    Initié WordPress
    22 contributions

    Je poursuis les màj WP  ^^

    En revanche, la montée de version PHP, je n’ai pas bien saisi quel est le meilleur moment pour la faire (je suis en PHP 5.6)

    #2365309
    Li-An
    Modérateur
    Maître WordPress
    24662 contributions

    En théorie, toutes les dernières versions supportent php 5.6 et donc vous devriez pouvoir tout faire avec cette version.

    #2365310
    Li-An
    Modérateur
    Maître WordPress
    24662 contributions

    Ce n’est pas moi qui ait donné le tuto mais vous avez mal compris pour les permaliens : c’est seulement après avoir fait la dernière mise à jour que vous pouvez vous en occuper. Ce n’est d’ailleurs pas idiot comme conseil (en fait le tuto fait direct le grand saut).

    • Cette réponse a été modifiée le il y a 2 semaines par Li-An.
    #2365317
    annacrea
    Participant
    Initié WordPress
    22 contributions

    Au temps pour moi, ce tuto dont je vous parle, est un détail de l’étape 10, sur la page que vous m’avez indiquée : https://codex.wordpress.org/fr:Details_de_mise_a_jour

    étape 10 : https://codex.wordpress.org/fr:Details_de_mise_a_jour#Etape_10_:_Mettre_.C3.A0_jour_les_Permaliens_et_les_fichiers_.htaccess

    Les permaliens sont dans l’étape 10. Mais du coup je m’arrête à l’étape 9

     

    #2365318
    annacrea
    Participant
    Initié WordPress
    22 contributions

    J’en suis à WordPress 5.1.8

    et j’ai ce message dans mon admin (screenshot)

    Fichiers joints :
    Vous devez être connecté pour voir les fichiers joints.
    #2365325
    Li-An
    Modérateur
    Maître WordPress
    24662 contributions

    Ce n’est pas grave, c’est relatif à la version de php. Passez à la 7.1+ ou 7.3+

    Pour les permaliens, ça n’a aucune importance. Si vous les avez déjà réglé vous les laissez tel quels sinon vous attendez la fin de la mise à jour pour les régler.

    #2365667
    annacrea
    Participant
    Initié WordPress
    22 contributions

    Je viens juste de passer en Php 7.1, et à présent je n’ai plus accès au tableau de bord : erreur 500
    <h1>Internal Server Error</h1>

    #2365668
    annacrea
    Participant
    Initié WordPress
    22 contributions

    J’ai mis Php 7.1, et j’ai réglé Exécuteur PHP sur FPM

    Il semble qu’en mettant CGI au lieu de FPM, mon tableau de bord marche. Mais j’ai toujours le message “PHP Update Required” sur le tableau de bord WP

15 sujets de 16 à 30 (sur un total de 43)
  • Vous devez être connecté pour répondre à ce sujet.